vos rename                 AFS Commands              vos rename


NAME

   vos rename -- rename a volume.


   vos rename  -oldname <old volume name>
   -newname <new volume name> [-cell <cell name>]
   [-noauth]  [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos ren  -o <old volume name>  -ne <new volume name>  [-c
   <cell name>]
   [-no]  [-l]  [-v]  [-h]

DESCRIPTION

   Changes the name of ReadWrite volume specified with -oldname
   to the name specified with  -newname.    The  names  of  the
   ReadWrite's  ReadOnly copies and Backup copy, if any, change
   automatically to match.

   After issuing this command, remember to  correct  any  mount
   points  that  refer  to the old volume name, by removing the
   old mount point with fs rmmount and creating a new one  with
   fs mkmount.

ARGUMENTS

   -oldname        is the current name of the ReadWrite volume.

   -newname        is the desired new name for the volume.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.



EXAMPLE

   The following changes the mistaken volume name sun3_41.afsws
   to the correct alternative sun3_41.usr.afsws.

   % vos ren sun3_41.afsws sun3_41.usr.afsws

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION
